Page MenuHomePhabricator

[epic] Amazon upgrade
Closed, ResolvedPublic

Description

Similar to PayPal, Amazon is trying to push us to a new product. They notified us on 2/5/15 that our current integration will be deprecated Q1 FY1516. It will be down from 8/21/15 until we get the new integration working.

Docs: smb://filesrv1.corp.wikimedia.org/Fundraising/Tech/Amazon/ASP Migration Guide_v1 2.docx

Things we need to deal with:

  • DonationInterface (processing & forms)
  • Listener
  • Audit
  • Queue consumers
  • CiviCRM update to deal with multiple gateways from same

Additional functionality we would like to investigate:

  • Recurring (via our mechanism or not, like T102204)

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedEjegg
ResolvedEjegg
ResolvedEjegg
ResolvedEjegg
ResolvedEjegg
ResolvedEjegg
DeclinedEjegg
ResolvedEjegg
ResolvedEjegg
ResolvedNone
ResolvedEjegg
ResolvedEjegg
ResolvedEjegg
ResolvedEjegg
ResolvedEjegg
ResolvedNone
ResolvedEjegg
ResolvedEjegg
Resolvedawight

Event Timeline

atgo raised the priority of this task from to Low.
atgo updated the task description. (Show Details)
atgo added a subscriber: atgo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2015, 11:31 PM
atgo raised the priority of this task from Low to High.Feb 6 2015, 12:16 AM
atgo set Security to None.

Upgrading because Amazon plans to sundown our current integration.

atgo updated the task description. (Show Details)Feb 6 2015, 12:59 AM
atgo added a subscriber: Ppena.
Ppena added a comment.EditedFeb 6 2015, 1:01 AM

Primary Advantages

  1. Deprecating the ASP product
  2. Recurring Payments
  3. Country expansion opportunities (UK, GE Q3 and after IN, JP, FR)
  4. Smart widgets and improved mobile interface
  5. Multiple User Accounts with Variable Permissions

Secondary Advantages

  1. Communication platform for managing customer messages
  2. Claims and Chargebacks interface for managing disputes
  3. Disbursement directly to Bank Account
atgo updated the task description. (Show Details)Apr 7 2015, 8:25 PM
atgo updated the task description. (Show Details)Apr 7 2015, 8:52 PM
atgo updated the task description. (Show Details)
atgo renamed this task from Amazon upgrade to [epic] Amazon upgrade.Jun 11 2015, 10:49 PM
atgo updated the task description. (Show Details)Jun 16 2015, 8:54 PM
DStrine closed subtask Restricted Task as Resolved.Aug 5 2015, 10:02 PM
atgo closed this task as Resolved.Oct 19 2015, 7:00 PM